fluidPage(
  navbarMenu("Analyse",
             tabPanel("ANOVA",
                      fluidRow(
                        column(4,
                               wellPanel(
                                 selectInput("var_expliquees", "Choisir la variable à expliquer", multiple = FALSE, choices = NULL),
                                 selectInput("var_explicatives", "Choisir les variables explicatives", multiple = TRUE, choices = NULL),
                                 actionButton("anova_button", "ANOVA", class = "btn-primary")
                               ),
                               wellPanel(
                                 selectInput("emmeans_expliquees", "Choisir la variable à expliquer", multiple = FALSE, choices = NULL),
                                 selectInput("emmeans_explicatives", "Choisir les variables explicatives", multiple = TRUE, choices = NULL),
                                 uiOutput("Temoins"),
                                 selectInput("type_comp", "Type de comparaison", multiple = FALSE, choices = c("pairwise", "trt.vs.ctrl")),
                                 actionButton("emmeans_button", "EMMEANS", class = "btn-primary")
                               )
                        ),
                        column(8,
                               tabsetPanel(
                                 tabPanel('Table',
                                          wellPanel(
                                            style = 'overflow-x: scroll;height: 650px;',
                                            DT::dataTableOutput("anova_table"),
                                            downloadButton("anova_button_download", "Télécharger le tableau", class = "btn-primary")
                                          ),
                                          wellPanel(
                                            style = 'overflow-x: scroll;height: 650px;',
                                            DT::dataTableOutput("emmeans_table"),
                                            downloadButton("emmeans_button_download", "Télécharger le tableau", class = "btn-primary"),
                                            DT::dataTableOutput("contrast_table"),
                                            downloadButton("contrast_button_download", "Télécharger le tableau", class = "btn-primary")
                                          )
                                 ),
                                 tabPanel("result",
                                          h2("Résultat Anova"),
                                          verbatimTextOutput("anova_result"),
                                          h2("Résultat Emmeans"),
                                          verbatimTextOutput("emmeans_result"),
                                          h2('Moyenne comparée'),
                                          plotlyOutput('graph_compared_mean')
                                 )
                               )
                        )
                      )
             ),
             tabPanel("Test de Krustal-Wallis",
                      fluidRow(
                        column(4,
                               wellPanel(
                                 selectInput("var_expliquees_kw", "Choisir la variable à expliquer", multiple = FALSE, choices = NULL),
                                 selectInput("var_explicatives_kw", "Choisir la variable explicative", multiple = FALSE, choices = NULL),
                                 actionButton("kw_button", "KW", class = "btn-primary")
                               )
                        ),
                        column(8,
                               wellPanel(
                                 style = 'overflow-x: scroll;height: 650px;',
                                 DT::dataTableOutput("kw_table"),
                                 downloadButton("kw_button_download", "Télécharger le tableau", class = "btn-primary")
                               ),
                               wellPanel(
                                 "KW Resultat",
                                 verbatimTextOutput("kw_resultat")
                               )
                        )
                      )
             ),
             tabPanel("Khi 2",
                      fluidRow(
                        column(4,
                               wellPanel(
                                 selectizeInput("khi2_cat", "Choisir les variables", multiple = TRUE, choices = NULL),
                                 actionButton("khi2_button", "KHI2", class = "btn-primary")
                               )
                        ),
                        column(8,
                               wellPanel(
                                 style = 'overflow-x: scroll;height: 650px;',
                                 DT::dataTableOutput("khi2_table"),
                                 downloadButton("khi2_button_download", "Télécharger le tableau", class = "btn-primary")
                               )
                        )
                      )
             ),
             tabPanel("Test de Pearson",
                      fluidRow(
                        column(4,
                               wellPanel(
                                 selectizeInput("pearson_num", "Choisir la variable quantitative", multiple = FALSE, choices = NULL),
                                 selectizeInput("pearson_cat", "Choisir la variable catégorielle", multiple = FALSE, choices = NULL),
                                 actionButton("pearson_button", "Pearson", class = "btn-primary")
                               )
                        ),
                        column(8,
                               wellPanel("Pearson Resultat",
                                         verbatimTextOutput("pearson_result")
                               )
                        )
                      )
             ),
             tabPanel("Test de Wilcoxon",
                      fluidRow(
                        column(4,
                               wellPanel(
                                 selectizeInput("wilcox_num", "Choisir la variable quantitative", multiple = FALSE, choices = NULL),
                                 selectizeInput("wilcox_cat", "Choisir la variable catégorielle", multiple = FALSE, choices = NULL),
                                 actionButton("wilcox_button", "Wilcoxon", class = "btn-primary")
                               )
                        ),
                        column(8,
                               wellPanel("Wilcoxon Resultat",
                                         verbatimTextOutput("wilcox_result")
                               )
                        )
                      )
             )
  )
)
